Skip to main content
POST
curl --request POST \ --url https://ca.raze.sh/ \ --header 'Content-Type: application/json' \ --data ' { "jsonrpc": "2.0", "id": 1, "method": "sendTransaction", "params": [ "4hXTCkRzt9WyecNzV1XPgCDfGAZzQKNxLXgynz5QDuWWM3svRaFk...", { "encoding": "base64" } ] } '
{ "jsonrpc": "2.0", "result": "5KtPn1LGuxhFiwjxqLHpBCa6xjnB7YaB1pPB263DezXAZ8z7PnrnRJjz3wXBo...", "id": 1 }

Documentation Index

Fetch the complete documentation index at: https://docs.raze.bot/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json
jsonrpc
enum<string>
required

JSON-RPC version

Available options:
2.0
Example:

"2.0"

method
enum<string>
required

JSON-RPC method name

Available options:
sendTransaction
Example:

"sendTransaction"

params
any[]
required

[transaction, options?]

  • transaction (string) — Base64 or base58 encoded signed transaction
  • options (object, optional) — { "encoding": "base64" | "base58" } (default: base64)
Example:
[
  "4hXTCkRzt9WyecNzV1XPgCDfGAZzQKNxLXgynz5QDuWWM3svRaFk...",
  { "encoding": "base64" }
]
id

Request ID

Example:

1

Response

JSON-RPC response. Check for result (success) or error (failure).

Success returns the transaction signature.

jsonrpc
string
required
Example:

"2.0"

result
string
required

Transaction signature

Example:

"5KtPn1LGuxhFiwjxqLHpBCa6xjnB7YaB1pPB263DezXAZ8z7PnrnRJjz3wXBo..."

id
Example:

1